#include "app.h"
#include "sound.hpp"

Sound::Sound()
{
    this->engine.init();
    this->hitEffect.load("data/sound/hit.ogg");
}

Sound::~Sound()
{
    this->engine.stopAll();
}

SoLoud::Soloud* Sound::getEngine()
{
    return &engine;
}

void Sound::PlayHit()
{
    this->engine.play(this->hitEffect, App::GetConfig()->getConfig().soundVolume);
}
